GET /API/v2/Companies/Payments/GetList?periodCode=!{periodCode}
会社の納付情報を全て取得します。 ログインしている利用者が所属する会社の納付情報を全て取得します。 会社の納付情報に関する詳細については、[会社の納付情報について]()を参照ください。
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| periodCode | 徴収期間コード |
String, Null |
None. |
Body Parameters
None.
Response Information
Resource Description
| Name | Description | Type | Additional information |
|---|---|---|---|
| paymentId | 納付情報ID |
String |
Required Max length: 7 Pattern : ^(?!0{7})\d{7}$ |
| billingPeriod |
Required |
||
| corporateNo | 法人番号 |
String |
Required Max length: 13 |
| companyName | 会社名 |
String |
Required Max length: 130 |
| companyNameEn | 会社名_英語表記 |
String, Null |
Max length: 130 |
| billingSetting |
Object, Null |
None. |
|
| usageFees | 利用料金 |
Integer |
Required Maximum : 99999999999 Minimum : 1 |
| invoiceDate | 請求日 |
String |
Required Format : date |
| dueDate | 納付期限 |
String |
Required Format : date |
| annualRate | 年利 |
Integer, Null |
Maximum : 100 Minimum : 0 |
| totalFees | 利用料金の総額 |
Integer |
Required Maximum : 99999999999 Minimum : 1 |
| paymentStatus | 納付状況 |
String |
Required Max length: 13 |
| httpStatusCode | HTTPステータスコード |
String, Null |
Max length: 3 |
| responseBody |
Object, Null |
None. |